package com.auto.clicker.autoclicker.room;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "touch_event")
public class TouchEventEntity {

    @PrimaryKey(autoGenerate = true)
    private int id;
    private int eventType;
    private int orderIndex;

    private int x;
    private int y;

    private Integer endX;
    private Integer endY;

    private int clickInterval;
    private Integer slideDuration;

    private int displayOrderNumber;

    public TouchEventEntity(int eventType, int orderIndex, int x, int y, Integer endX, Integer endY, int clickInterval, Integer slideDuration, int displayOrderNumber) {
        this.eventType = eventType;
        this.orderIndex = orderIndex;
        this.x = x;
        this.y = y;
        this.endX = endX;
        this.endY = endY;
        this.clickInterval = clickInterval;
        this.slideDuration = slideDuration;
        this.displayOrderNumber = displayOrderNumber;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getEventType() {
        return eventType;
    }

    public void setEventType(int eventType) {
        this.eventType = eventType;
    }

    public int getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(int orderIndex) {
        this.orderIndex = orderIndex;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public Integer getEndX() {
        return endX;
    }

    public void setEndX(Integer endX) {
        this.endX = endX;
    }

    public Integer getEndY() {
        return endY;
    }

    public void setEndY(Integer endY) {
        this.endY = endY;
    }

    public int getClickInterval() {
        return clickInterval;
    }

    public void setClickInterval(int clickInterval) {
        this.clickInterval = clickInterval;
    }

    public Integer getSlideDuration() {
        return slideDuration;
    }

    public void setSlideDuration(Integer slideDuration) {
        this.slideDuration = slideDuration;
    }

    public int getDisplayOrderNumber() {
        return displayOrderNumber;
    }

    public void setDisplayOrderNumber(int displayOrderNumber) {
        this.displayOrderNumber = displayOrderNumber;
    }
}
